Skip Menu |
 

This queue is for tickets about the Net-SSH-Perl CPAN distribution.

Report information
The Basics
Id: 15102
Status: resolved
Priority: 0/
Queue: Net-SSH-Perl

People
Owner: Nobody in particular
Requestors: netssh [...] netinfoz.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.29
Fixed in: (no value)



Subject: Can't locate object method "blocking" via package "IO::Handle"
Download (untitled) / with headers
text/plain 883b
Dear Sir, I received the following error when running ver 1.29 Net-SSH-Perl: Can't locate object method "blocking" via package "IO::Handle" at /usr/lib/perl5/site_perl/5.8.5/Net/SSH/Perl.pm line 212, <GEN0> line 1. I do not get this error when I run ver 1.28. Looking at the changelog, it seems that ver 1.28 fix this problem, but it is back in ver 1.29 When I look into the Perl.pm file. I noticed that the following line is missing in ver 1.29 use IO::Socket; If I add the above "use IO::Socket" back into ver 1.29 Perl.pm, everything works fine. No error. Could please add this back into subsequent version. Thanks. Additional information: -------------- perl -v This is perl, v5.8.5 built for i386-linux-thread-multi uname -a Linux linux1 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686 i386 GNU/Linux ----------------------------------------------------
From: modulus
[guest - Mon Oct 17 11:26:14 2005]: thanks for this posting. I'm a perl newbie and you solved a big problem for me. Show quoted text
> Dear Sir, > > I received the following error when running ver 1.29 Net-SSH-Perl: > > Can't locate object method "blocking" via package "IO::Handle" at > /usr/lib/perl5/site_perl/5.8.5/Net/SSH/Perl.pm line 212, <GEN0> line > 1. > > > I do not get this error when I run ver 1.28. Looking at the changelog, > it seems that ver 1.28 fix this problem, but it is back in ver 1.29 > > When I look into the Perl.pm file. I noticed that the following line > is missing in ver 1.29 > > use IO::Socket; > > If I add the above "use IO::Socket" back into ver 1.29 Perl.pm, > everything works fine. No error. > > Could please add this back into subsequent version. Thanks. > > > Additional information: > > -------------- > perl -v > > This is perl, v5.8.5 built for i386-linux-thread-multi > > > > uname -a > > Linux linux1 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686 i386 > GNU/Linux > > ---------------------------------------------------- >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.